I have openSUSE 10.3, default KDE, fairly new installation which overwrote 10.0

The other day I got these same errors trying to update whatever it was updated then. Why would it be looking for packages that don't exist? That time it looked for some server packages that really didn't exist, but now for libzypp I think the file does exist.

''
Can't provide file ./rpm/i586/libzypp-3.26.8_3.27.2-0.1.i586.delta.rpm from repository openSUSE-10.3-Updates Problem downloading the package file from the repository: File ./rpm/i586/libzypp-3.27.2-0.1.i586.rpm not found on media: Index of /update/10.3 Please, see the above error message to for a hint.
''

Then I think I resolved it just by typing `zypper up`. I try other zypper commands trying to investigate I found that "libzypp-3.26.8_3.27.2-0.1.i586.delta.rpm" did exist so I downloaded to install the package manually but then "zypper up" just upgraded it even though the Updater applet said it couldn't find it.

So why was it not possible for the "openSUSE Updater" applet to find the file ??

I am afraid whatever caused it to stop finding the actual updates is still going to be a problem. I do not do unusual things with this system so I haven't got a clue why nobody else has this specific problem. The last two updates simply failed until I did command-line things that I should not have to do.